## org.eclipse.datatools.connectivity.ui.dse.actions
Class ShowCategoryAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.core.commands.AbstractHandlerWithState
                  org.eclipse.datatools.connectivity.ui.dse.actions.ShowCategoryAction

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2, org.eclipse.core.commands.IObjectWithState, org.eclipse.core.commands.IStateListener, org.eclipse.ui.commands.IElementUpdater, org.eclipse.ui.IActionDelegate, org.eclipse.ui.IViewActionDelegate

    public class ShowCategoryAction

extends org.eclipse.core.commands.AbstractHandlerWithState
implements org.eclipse.ui.IViewActionDelegate, org.eclipse.ui.commands.IElementUpdater

Author:
  shongxum, brianf

Field Summary
`static java.lang.String` `HANDLER_ID`

Constructor Summary
`ShowCategoryAction()`

Method Summary
`java.lang.Object` `execute(org.eclipse.core.commands.ExecutionEvent event)`
`void` `handleStateChange(org.eclipse.core.commands.State arg0, java.lang.Object arg1)`
`void` `init(org.eclipse.ui.IViewPart view)`
`boolean` `isEnabled()`
`boolean` `isHandled()`
`void` `run(org.eclipse.jface.action.IAction action)`
`void` `selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`
`void` `updateElement(org.eclipse.ui.menus.UIElement element, java.util.Map parameters)`

Methods inherited from class org.eclipse.core.commands.AbstractHandlerWithState
`addState, getState, getStateIds, removeState`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, removeHandlerListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HANDLER_ID

    public static java.lang.String HANDLER_ID

Constructor Detail

### ShowCategoryAction

    public ShowCategoryAction()

Method Detail

### init

    public void init(org.eclipse.ui.IViewPart view)

  Specified by:
    `init` in interface `org.eclipse.ui.IViewActionDelegate`

### run

    public void run(org.eclipse.jface.action.IAction action)

  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`

### execute

    public java.lang.Object execute(org.eclipse.core.commands.ExecutionEvent event)
                             throws org.eclipse.core.commands.ExecutionException

  Specified by:
    `execute` in interface `org.eclipse.core.commands.IHandler`
  Throws:
    `org.eclipse.core.commands.ExecutionException`

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in interface `org.eclipse.core.commands.IHandler`
  Overrides:
    `isEnabled` in class `org.eclipse.core.commands.AbstractHandler`

### isHandled

    public boolean isHandled()

  Specified by:
    `isHandled` in interface `org.eclipse.core.commands.IHandler`
  Overrides:
    `isHandled` in class `org.eclipse.core.commands.AbstractHandler`

### updateElement

    public void updateElement(org.eclipse.ui.menus.UIElement element,
                              java.util.Map parameters)

  Specified by:
    `updateElement` in interface `org.eclipse.ui.commands.IElementUpdater`

### handleStateChange

    public void handleStateChange(org.eclipse.core.commands.State arg0,
                                  java.lang.Object arg1)

  Specified by:
    `handleStateChange` in interface `org.eclipse.core.commands.IStateListener`